Description

Not all installations require TFTP to be present. To get a more minimal baseline, the default should be off.

Upgrades via the installer should not be affected. Direct users of the module will be affected.

RFC: https://community.theforeman.org/t/disable-foreman-proxy-tftp-support-by-default/18892

Associated revisions

Revision c794f80b - 06/24/2020 11:45 AM - Ewoud Kohl van Wijngaarden

Fixes #30198 - Disable TFTP by default

Not all installations require TFTP. This is only needed when doing

kickstart/preseed/... installations. Typically that's bare metal but can

be used on virtual machines as well. Doing those kind of installations

also requires DHCP so disabling it is not a huge extra step.

History

#1 - 06/23/2020 10:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/602 added

#2 - 06/24/2020 11:45 AM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#3 - 06/24/2020 12:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|c794f80bad96a2638881f879afaf94b71b317b3a.
